Subject: Re: [PATCH v2 00/10] compat/zlib: allow use of zlib-ng as backend

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Jan 2025 08:20:43 -0800

Konstantin Ryabitsev <[email-masked]> writes:

> I'm not sure why --full-index was added there -- I don't think it's needed for
> --binary?

Correct.  For the purpose of that quoted commit, giving "--binary"
should be sufficient.  It would avoid "Binary files differ" that is
useless in the context of format-patch, and when a binary patch is
given, it will automatically get the full length blob object name,
without --full-index.

Thanks.